org.apache.fop.svg.font

## Class FOPGVTFontFamily

- java.lang.Object
- - org.apache.fop.svg.font.FOPGVTFontFamily

- All Implemented Interfaces:
    org.apache.batik.gvt.font.GVTFontFamily

      public class FOPGVTFontFamily
      extends java.lang.Object
      implements org.apache.batik.gvt.font.GVTFontFamily

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FOPGVTFontFamily(FontInfo fontInfo, java.lang.String familyName, FontTriplet triplet, org.apache.batik.gvt.font.GVTFontFace fontFace)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FOPGVTFont` | `deriveFont(float size, java.text.AttributedCharacterIterator aci)`
    `FOPGVTFont` | `deriveFont(float size, java.util.Map attrs)`
    `java.lang.String` | `getFamilyName()`
    `org.apache.batik.gvt.font.GVTFontFace` | `getFontFace()`
    `FontInfo` | `getFontInfo()`
    `java.lang.String` | `getFontKey()`
    `FontTriplet` | `getFontTriplet()`
    `boolean` | `isComplex()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FOPGVTFontFamily

          public FOPGVTFontFamily(FontInfo fontInfo,
                                  java.lang.String familyName,
                                  FontTriplet triplet,
                                  org.apache.batik.gvt.font.GVTFontFace fontFace)

  - ### Method Detail

    - #### getFontInfo

          public FontInfo getFontInfo()

    - #### getFontTriplet

          public FontTriplet getFontTriplet()

    - #### getFontKey

          public java.lang.String getFontKey()

    - #### getFamilyName

          public java.lang.String getFamilyName()

      Specified by:
        `getFamilyName` in interface `org.apache.batik.gvt.font.GVTFontFamily`

    - #### getFontFace

          public org.apache.batik.gvt.font.GVTFontFace getFontFace()

      Specified by:
        `getFontFace` in interface `org.apache.batik.gvt.font.GVTFontFamily`

    - #### deriveFont

          public FOPGVTFont deriveFont(float size,
                                       java.text.AttributedCharacterIterator aci)

      Specified by:
        `deriveFont` in interface `org.apache.batik.gvt.font.GVTFontFamily`

    - #### deriveFont

          public FOPGVTFont deriveFont(float size,
                                       java.util.Map attrs)

      Specified by:
        `deriveFont` in interface `org.apache.batik.gvt.font.GVTFontFamily`

    - #### isComplex

          public boolean isComplex()

      Specified by:
        `isComplex` in interface `org.apache.batik.gvt.font.GVTFontFamily`

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.